﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using System.Text.RegularExpressions;

namespace MCNGen {

    /// <summary>
    /// Validation rule for the input textbox of the Nimigen. Checks if the input text consists of long enough words
    /// separated by newlines.
    /// 
    /// Author: Joonas Rajala
    /// </summary>
    class InputTextValidationRule : ValidationRule {

        public override ValidationResult Validate(object value, System.Globalization.CultureInfo cultureInfo) {

            String s = (String)value;
            Regex r = new Regex(@"^\w+(\n|\r|\r\n)$");

            String[] asd = s.Split(new string[] { "\r\n", "\n" }, StringSplitOptions.RemoveEmptyEntries);
            if (asd.Length < 10) {
                return new ValidationResult(false, "List too short.");
            }

            List<String> strings = new List<string>();
            String tmp;

            int i;
            for (i = 0; i < asd.Length; i++) {
                tmp = asd[i].Trim();
                if (!tmp.All(Char.IsLetter)) {
                    return new ValidationResult(false, "Invalid characters.");
                } else if (tmp.Length < 3) {
                     return new ValidationResult(false, "Words cannot be under 3 characters long.");
                }
            }
            


            return new ValidationResult(true, null);
        }
    }
}
