﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace MCNGen {
    /// <summary>
    /// Options dialog for Nimigen.
    /// 
    /// Author: Joonas Rajala
    /// </summary>
    public partial class OptionsDialog : Window {

        public int Order {
            get { return (int)GetValue(OrderProperty); }
            set { SetValue(OrderProperty, value); }
        }

        public static readonly DependencyProperty OrderProperty =
            DependencyProperty.Register("Order", typeof(int), typeof(Window), new UIPropertyMetadata(0));

        public int Amount {
            get { return (int)GetValue(AmountProperty); }
            set { SetValue(AmountProperty, value); }
        }
       
        public static readonly DependencyProperty AmountProperty =
            DependencyProperty.Register("Amount", typeof(int), typeof(Window), new UIPropertyMetadata(0));


        public int MinLength {
            get { return (int)GetValue(MinLengthProperty); }
            set { SetValue(MinLengthProperty, value); }
        }
        
        public static readonly DependencyProperty MinLengthProperty =
            DependencyProperty.Register("MinLength", typeof(int), typeof(Window), new UIPropertyMetadata(0));

        public OptionsDialog() {
            InitializeComponent();
        }

        private void okButton_Click(object sender, RoutedEventArgs e) {
            this.Close();
        }
    }

   
}
